org.apache.mina.integration.beans

## Class ListEditor

- java.lang.Object
- - java.beans.PropertyEditorSupport
  - - org.apache.mina.integration.beans.AbstractPropertyEditor
    - - org.apache.mina.integration.beans.CollectionEditor
      - - org.apache.mina.integration.beans.ListEditor

- All Implemented Interfaces:
    PropertyEditor

      public class ListEditor
      extends CollectionEditor

  A `PropertyEditor` which converts a `String` into a `List` and vice versa.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListEditor(Class<?> elementType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Collection<Object>` | `newCollection()`

    - ### Methods inherited from class org.apache.mina.integration.beans.CollectionEditor

      `defaultElement, toText, toValue`

    - ### Methods inherited from class org.apache.mina.integration.beans.AbstractPropertyEditor

      `defaultText, defaultValue, getAsText, getValue, setAsText, setTrimText, setValue`

    - ### Methods inherited from class java.beans.PropertyEditorSupport

      `addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, isPaintable, paintValue, removePropertyChangeListener, setSource, supportsCustomEditor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListEditor

          public ListEditor(Class<?> elementType)

  - ### Method Detail

    - #### newCollection

          protected Collection<Object> newCollection()

      Overrides:
        `newCollection` in class `CollectionEditor`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.